<?php
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

 if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {
 	if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){
 		echo'<img src="../images/img/menu.gif" alt=""> <b>Управление мини-чатом</b><br><br>';
 		//------------------- ПОДТВЕРЖДЕНИЕ ОЧИСТКИ --------------------//
 		if ($action=="prodel") {
 			echo'<br>Вы уверены что хотите удалить все сообщения в мини-чате?<br>';
 			echo'<img src="../images/img/error.gif" alt=""> <b><a href="chat.php?action=delchat&amp;'.SID.'">Да уверен!</a></b><br>';
 			echo '<br><img src="../images/img/back.gif" alt=""> <a href="chat.php?'.SID.'">Вернуться</a>';
 			}
 		//----------- ОЧИСТКА МИНИ-ЧАТА ----------//
 		if ($action=="delchat") {
 			clear_files("../local/chat.dat");
 			header ("Location: chat.php?isset=mp_delchat&".SID);
 			}
 		//--------------- ПЕРЕСЧЕТ --------------//
 		if($action=="revolushion") {
 			$fb = file(BASEDIR."local/chat.dat");
 			$countchat=count($fb);
 			$fl = file(BASEDIR."local/local.dat");
 			$u = explode("|",$fl[0]);
 			$u[1]=(int)$countchat;
 		$t=$u[0].'|'.$u[1].'|'.$u[2].'|'.$u[3].'|'.$u[4].'|'.$u[5].'|'.$u[6].'|'.$u[7].'|'.$u[8].'|'.$u[9].'|'.$u[10].'|';
 		$fp = fopen(BASEDIR."local/local.dat","a+");
 		flock ($fp,LOCK_EX);
 		ftruncate ($fp,0);
 		fputs($fp,$t);
 		fflush ($fp);
 		flock ($fp,LOCK_UN);
 		fclose($fp);
 		header ("Location: chat.php?isset=mp_chatrevolushion&".SID);
 		}
 		//--------- УДАЛЕНИЕ СООБЩЕНИЯ ----------//
 		if ($action=="delpost") {
 			if($id!=""){
 			$file=file(BASEDIR."local/chat.dat");
 			$fp=fopen(BASEDIR."local/chat.dat","w");
 			flock ($fp,LOCK_EX);
 			 for ($i=0;$i< sizeof($file);$i++) {
 				if ($i==$id) {
 					unset($file[$i]);
 					}
 				}
 				fputs($fp, implode("",$file));
 				flock ($fp,LOCK_UN);
 				fclose($fp);
 			}
 			header ("Location: chat.php?start=$start&isset=mp_delpostchat&".SID);
 			}
 		//------- РЕДАКТИРОВАНИЕ СООБЩЕНИЯ ------//
 		if($action=="editpost") {
 			if($id!="" && $msg!="" && $name!=""){
 				$lines=file(BASEDIR."local/chat.dat");
 				$dte=explode("|", $lines[$id]);
 				$msg=check($msg);
 				$name=check($name);
 				$msg = smiles($msg);
 				$text=$msg.'|'.$name.'|'.$dte[2].'|'.$dte[3].'|'.$dte[4].'|'.$dte[5].'|'.$dte[6].'|'.$dte[7].'|'.$dte[8].'|';
 				$text=no_br($text);
 				$file=file(BASEDIR."local/chat.dat");
 				$fp=fopen(BASEDIR."local/chat.dat","a+");
 				flock ($fp,LOCK_EX);
 				ftruncate ($fp,0);
 				for ($i=0;$i< sizeof($file);$i++) {
 					if ($id!=$i) {
 						fputs($fp,$file[$i]);
 						}
 						else
 						{
 							fputs($fp,"$text\r\n");
 							}
 					}
 						fflush ($fp);
 						flock ($fp,LOCK_UN);
 						fclose($fp);
 				}
 						header ("Location: chat.php?start=$start&isset=mp_editpostchat&".SID);
 			}
 			//---Настройки-комнаты---////22,23,34,63,64,65
 		if($action=="setchat"){
 		echo '<b>Настройки комнаты</b><br><hr>';
 		echo '<form method="post" action="chat.php?action=editchat&amp;'.SID.'">';
 		echo 'Включить шутника в чате: <br>Да';
 		 if($con_data[63]=="1"){
 		 	echo '<input name="conf_set63" type="radio" value="1" checked>';
 		 	}
 		 	else
 		 	{echo '<input name="conf_set63" type="radio" value="1" />';}
 		 	echo ' &nbsp; &nbsp; ';
 		 	if($con_data[63]=="0"){
 		 		echo '<input name="conf_set63" type="radio" value="0" checked>';
 		 		}
 		 		else
 		 		{echo '<input name="conf_set63" type="radio" value="0" />';}
 		 		echo 'Нет<br>';
 		 		echo 'Включить бота в чате: <br>Да';
 		 		if($con_data[64]=="1"){
 		 			echo '<input name="conf_set64" type="radio" value="1" checked>';
 		 			}
 		 			else
 		 			{echo '<input name="conf_set64" type="radio" value="1" />';}
 		 			echo ' &nbsp; &nbsp; ';
 		 			if($con_data[64]=="0"){
 		 				echo '<input name="conf_set64" type="radio" value="0" checked>';
 		 				}
 		 				else
 		 				{echo '<input name="conf_set64" type="radio" value="0" />';}
 		 				echo 'Нет<br>';
 		 				echo 'Включить умника в чате: <br>Да';
 		 				if($con_data[65]=="1"){
 		 					echo '<input name="conf_set65" type="radio" value="1" checked>';
 		 					}
 		 					else
 		 					{echo '<input name="conf_set65" type="radio" value="1" />';}
 		 					echo ' &nbsp; &nbsp; ';
 		 					if($con_data[65]=="0"){
 		 						echo '<input name="conf_set65" type="radio" value="0" checked>';}
 		 						else
 		 						{echo '<input name="conf_set65" type="radio" value="0" />';}
 		 						echo 'Нет<br>';
 		 echo 'Кол-во постов в  чате сохраняется:<br><input name="conf_set22" maxlength="4" value="'.$con_data[22].'" /><br>';
 		 echo 'Cообщений в чате на стр.:<br><input name="conf_set23" maxlength="2" value="'.$con_data[23].'" /><br>';
 		 echo 'Время автообновления чата (сек):<br><input name="conf_set34" maxlength="3" value="'.$con_data[34].'" /><br>';
 		 echo '<br><input value="Изменить" type="submit" /></form><hr>';
 		 echo '<br><img src="../images/img/back.gif" alt=""> <a href="chat.php?'.SID.'">Вернуться</a>';
 		 }
 		 //---Изменение комнаты---//
 		if($action=="editchat"){
 			if($conf_set22!="" && $conf_set23!="" && $conf_set34!="" && $conf_set63!="" && $conf_set64!="" && $conf_set65!=""){
 				$ufile = file_get_contents(BASEDIR."local/config.dat");
 				$udata = explode("|",$ufile);
 				$udata[22]=(int)$conf_set23;
 				$udata[23]=(int)$conf_set24;
 				$udata[34]=(int)$conf_set34;
 				$udata[63]=(int)$conf_set63;
 				$udata[64]=(int)$conf_set64;
 				$udata[65]=(int)$conf_set65;
 				for ($u=0; $u<$config_configkeys; $u++){
 					$utext.=$udata[$u].'|';}
 					if(!empty($udata[8]) && !empty($udata[9])){
 						$fp=fopen(BASEDIR."local/config.dat","a+");
 						flock($fp,LOCK_EX);
 						ftruncate($fp,0);
 						fputs($fp,$utext);
 						fflush($fp);
 						flock($fp,LOCK_UN);
 						fclose($fp);
 						unset($utext);
 						}header ("Location: chat.php?isset=mp_yesset&".SID);
 					}
 					else
 					{
 						header ("Location: chat.php?action=setchat&isset=mp_nosset&".SID);
 						}
 					}
 			//=======================//
 		//------------ ГЛАВНАЯ СТРАНИЦА ------------//
 		if(!isset($action)){
 			if($config_themes!="wml"){
 				echo '<a href="#down"><img src="../images/img/downs.gif" alt=""></a> ';
 				}
 				echo'<a href="chat.php?rand='.rand(0,99).'&amp;'.SID.'">Обновить</a> | ';
 				echo '<a href="../chat/index.php?start='.$start.'&amp;'.SID.'">Обзор</a> | ';
 				echo'<a href="chat.php?action=setchat&amp;'.SID.'">Настройки</a><br><hr>';
 				$file = file(BASEDIR."local/chat.dat");
 				$file = array_reverse($file);
 				$total = count($file);
 				if($total<1){
 					echo '<img src="../images/img/reload.gif" alt=""> <b>Мини-чат пуст</b><br>';
 					}
 					if (empty($_GET['start'])) $start = 0;
 					else $start = $_GET['start'];
 					if ($total < $start + $config_chatpost){
 						$end = $total;
 						}
 						else
 						{
 							$end = $start + $config_chatpost;
 							}

 						 for ($i = $start; $i < $end; $i++){
 							$dt = explode("|",$file[$i]);
 							$num=$total-$i-1;
 							$dt[0]=bb_code($dt[0]);
 							echo '<div class=b><img src="../images/img/edit.gif" alt=""> ';
 							if($dt[1]!="Вундер-киндер" && $dt[1]!="Настюха" && $dt[1]!="Весальчак"){
 								echo '<b><a href="../pages/anketa.php?uz='.$dt[1].'&amp;'.SID.'"> '.$dt[1].'</a></b> <small> ('.date_fixed($dt[3]).')</small><br>';
 								}
 								else
 								{
 									echo '<b>'.$dt[1].'</b> <small> ('.date_fixed($dt[3]).')</small><br>';
 									}
 							if($dt[1]!="Вундер-киндер" && $dt[1]!="Настюха" && $dt[1]!="Весальчак"){
 								echo '<a href="chat.php?action=edit&amp;id='.$num.'&amp;start='.$start.'&amp;'.SID.'">[Edit]</a>';
 								echo '<a href="chat.php?action=delpost&amp;id='.$num.'&amp;start='.$start.'&amp;'.SID.'"><font color="#FF0000">[DEL]</font></a>';
 								}
 								echo '</div><div>'.$dt[0].'<br>';
 								echo '<font color="#CC00CC"><small>('.$dt[4].', '.$dt[5].')</small></font></div>';
 							}
 							echo '<hr>';
 			if ($start != 0) {
 				echo '<a href="chat.php?start='.($start - $config_chatpost).'&amp;'.SID.'">&lt;-Назад</a>';
 				}
 				else
 				{
 					echo'&lt;-Назад';
 					}
 					echo ' | ';
 					if ($total > $start + $config_chatpost) {
 						echo ' <a href="chat.php?start='.($start + $config_chatpost).'&amp;'.SID.'">Далее -&gt;</a>';
 						}
 						else
 						{
 							echo'Далее-&gt;';}
 			if($total>0){
 				$ba=ceil($total/$config_chatpost);
 				$ba2=$ba*$config_chatpost-$config_chatpost;
 				echo '<br><hr>Страницы:';
 				$asd=$start-($config_chatpost*4);
 				$asd2=$start+($config_chatpost*5);
 				if($asd<$total && $asd>0){
 					echo ' <a href="chat.php?start=0&amp;'.SID.'">1</a> ... ';
 					}
 					for($i=$asd; $i<$asd2;){
 						if($i<$total && $i>=0){
 							$ii=floor(1+$i/$config_chatpost);
 							if ($start==$i) {
 								echo ' <b>('.$ii.')</b>';
 								}
 								else
 								{
 									echo ' <a href="chat.php?start='.$i.'&amp;'.SID.'">'.$ii.'</a>';
 									}
 							}
 							$i=$i+$config_chatpost;
 						}
 						if($asd2<$total){
 							echo ' ... <a href="chat.php?start='.$ba2.'&amp;'.SID.'">'.$ba.'</a>';
 							}
 			}
 			echo '<br><br>Всего сообщений : <b>'.(int)$total.'</b><br>';
 		}
 	//-------- ПОДГОТОВКА К РЕДАКТИРОВАНИЮ ----------//
 	if($action=="edit") {
 		$lines=file(BASEDIR."local/chat.dat");
 		if($id!="")  {
 			$dt=explode("|", $lines[$id]);
 			$dt[0] = nosmiles($dt[0]);
 			echo '<br>Редактирование: ';
 			if($config_themes!="wml"){
 				echo '<form action="chat.php?action=editpost&amp;id='.$id.'&amp;start='.$start.'&amp;'.SID.'" method="post">';
 				echo 'Имя: <br><input type=text name="name" value="'.$dt[1].'"><br/>';
 				echo 'Cообщение:<br>';
 				echo '<textarea cols="25" rows="3" name="msg">'.$dt[0].'</textarea><br/>';
 				echo '<br><input type="submit" value="Изменить"></form><hr>';
 				}
 				else
 				{
 					echo'<br>--------------------<br>';
 					echo'Имя:<br>';
 					echo'<input name="name" value="'.$dt[1].'"/><br>';
 					echo'Cообщение:<br>';
 					echo'<input name="msg" value="'.$dt[0].'"/><br>';
 					echo'<anchor>Изменить';
 					echo'<go href="chat.php?action=editpost&amp;id='.$id.'&amp;start='.$start.'&amp;'.SID.'" method="post">';
 					echo'<postfield name="name" value="$(name)"/>';
 					echo'<postfield name="msg" value="$(msg)"/>';
 					echo'</go></anchor><br>--------------------<br>';
 					}
 		}
 		else
 		{
 			echo '<br><img src="../images/img/reload.gif" alt="">Oшибка, не выбрано сообщение для редактирования<br>';
 			}
 			echo '<br><img src="../images/img/back.gif" alt=""> <a href="chat.php?start='.$start.'&amp;'.SID.'">Вернуться</a>';
 		}
 	//--------- КОНЦОВКА -------//
 	echo '<br>';
 	if ($total>1) {
 		echo '<img src="../images/img/error.gif" alt=""> <a href="chat.php?action=prodel&amp;'.SID.'">Очистить комнату</a><br>';
 		}

 	if ($dostup==101 || $dostup==102){
 		echo '<img src="../images/img/reload.gif" alt=""> <a href="chat.php?action=revolushion&amp;'.SID.'">Пересчитать</a><br>';
 		}
 		echo'<img src="../images/img/dot.gif" alt=""> <a href="achat.php?'.SID.'">Управление чатом</a><br>';
 		echo'<img src="../images/img/panel.gif" alt=""> <a href="index.php?'.SID.'">В админку</a><br>';
 		echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';
 		}else{header ("Location: ../index.php?isset=404&".SID);}
 		} else {header ("Location: ../index.php?isset=404&".SID);}
include_once"../themes/$config_themes/foot.php";
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#                                                     #
#              Mod by   :  GodZill@                   #
#             WAP-Site  :  http://basaru.net.ru       #
#-----------------------------------------------------#
?>

